> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-dependencies-describe.md).

# workflows versions dependencies describe

## Synopsis

```shell
omics workbench workflows versions dependencies describe
  --workflow=WORKFLOW_ID
  --version=VERSION_ID
  DEPENDENCY_ID [DEPENDENCY_ID ...]
  [--namespace=NAMESPACE]
```

## Description

Retrieve detailed information about one or more workflow dependencies. This command provides comprehensive details including dependency metadata, prerequisite workflows, creation timestamps, and administrative flags.

## Examples

Describe a single workflow dependency:

```shell
omics workbench workflows versions dependencies describe \
  --workflow 40c67272-3553-4bb1-8662-81c81acff347 \
  --version latest \
  5a0082d1-84d8-409a-8cea-5fbde03a0c68
```

Describe multiple workflow dependencies:

```shell
omics workbench workflows versions dependencies describe \
  --workflow 40c67272-3553-4bb1-8662-81c81acff347 \
  --version v2.0 \
  5a0082d1-84d8-409a-8cea-5fbde03a0c68 \
  7b1193e2-95e9-51fb-9dfb-6gcea04b1d79
```

## Flags

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the UUID of the workflow containing the dependencies you want to describe.

### `--version`=`VERSION_ID`

**Required**. Specify the version ID of the workflow containing the dependencies you want to describe.

### `DEPENDENCY_ID`

**Required**. One or more dependency IDs to describe. Multiple dependency IDs can be specified as space-separated arguments.

### `--namespace`=`NAMESPACE`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-dependencies-describe.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
